import { createInput } from "@formkit/vue";
import PrimeOutputText from "../components/PrimeOutputText.vue";
import PrimeOutputDate from "../components/PrimeOutputDate.vue";
import PrimeOutputNumber from "../components/PrimeOutputNumber.vue";
import PrimeOutputLink from "../components/PrimeOutputLink.vue";
import PrimeOutputBoolean from "../components/PrimeOutputBoolean.vue";
import PrimeOutputDuration from "../components/PrimeOutputDuration.vue";
import PrimeOutputList from "../components/PrimeOutputList.vue";
export const primeOutputTextDefinition = createInput(PrimeOutputText, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputDateDefinition = createInput(PrimeOutputDate, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputNumberDefinition = createInput(PrimeOutputNumber, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputLinkDefinition = createInput(PrimeOutputLink, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputBooleanDefinition = createInput(PrimeOutputBoolean, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputDurationDefinition = createInput(PrimeOutputDuration, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
export const primeOutputListDefinition = createInput(PrimeOutputList, {
  props: ["prefix", "suffix", "prefixIcon", "suffixIcon"]
});
